# -*- coding: utf-8 -*-
from odoo.addons.base.maintenance.migrations import util


def migrate(cr, version):
    util.remove_record(cr, "openerp_enterprise.oe_subscription_form_payments")

    util.create_column(cr, "account_move_line", "revenue_date_start", "date")
    util.create_column(cr, "account_move_line", "revenue_date_stop", "date")
    util.create_column(cr, "account_move_line", "revenue_monthly", "float8")

    cr.execute("""
        UPDATE account_move_line aml
           SET revenue_date_start=inv.revenue_date_start,
               revenue_date_stop=inv.revenue_date_stop,
               revenue_monthly=inv.revenue_monthly
          FROM account_invoice_line inv
    INNER JOIN invl_aml_mapping map ON map.invl_id=inv.id
         WHERE aml.id = map.aml_id
    """)
